Announcements
Need help adjusting your schedule due to Hurricanes Irma or Maria? Click Here
Real-time Guest Center System Status & Maintenance Can Be Found Here

OpenTable System Requirements & Upgrades

Last revision July 21 by Caty

In order to install and use OpenTable Payments, you must have OpenTable Electronic Reservation Book (ERB), version 10.8 or higher.

 

If you have a prior version of the ERB, call 1-800-OPENTABLE, or reach out to your account manager, for more information on upgrading your OpenTable software.

Article Dashboard